View Issue Details

IDProjectCategoryView StatusLast Update
0002303unrealircdpublic2013-05-19 09:19
ReportersyzopAssigned Tonenolod 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha1 
Summary0002303: restrict /TSCTL OFFSET to (new) can_tsctl ?
DescriptionI had this idea for quite a while, but just recently thought of it again...

I was thinking about restricting /TSCTL OFFSET usage to people with this flag.
I know it's already restricted to coadmin and higher, but just 1 mistake (on purpose or not) and you can freeze the server for hours... so it seems like something that is worth moving to a seperate operflag (just like can_die/can_restart)

What do you think codemastr? :P
TagsNo tags attached.
3rd party modules

Activities

codemastr

2005-01-26 19:11

reporter   ~0008931

Hmm, maybe. But of course this could actually make it more dangerous since now regular opers could have can_tsctl :)

Shining Phoenix

2007-06-11 14:43

reporter   ~0014318

If this new oper flag was created, you could not give it to anyone by default.

falconkirtaran

2013-05-14 10:23

reporter   ~0017561

Last edited: 2013-05-14 10:25

View 2 revisions

Patch to create the oper flag +T can_tsctl. Nobody without this flag can use tsctl offset (admin/coadmin can still use time and alltime). Added error feedback when the client is an actual client and an oper and makes a syntax error (eg. no params, etc.) or is a client (not a u: lined server) and tries to use svstime. Prioritized access denied messages over syntax errors. Fixed remote privileged crash (/TSCTL OFFSET without params caused a bad dereference on the +/- param, if the user was an admin or coadmin).

falconkirtaran

2013-05-14 10:23

reporter  

2303_can_tsctl.diff (7,061 bytes)

nenolod

2013-05-14 10:28

reporter   ~0017562

http://hg.unrealircd.org/hg/unreal/rev/28f9e289d4df

Issue History

Date Modified Username Field Change
2005-01-25 16:50 syzop New Issue
2005-01-25 16:50 syzop Summary restrict /TSCTL to (new) can_tsctl ? => restrict /TSCTL OFFSET to (new) can_tsctl ?
2005-01-26 19:11 codemastr Note Added: 0008931
2007-04-27 06:30 stskeeps Status new => feedback
2007-05-19 14:51 Trocotronic Status feedback => assigned
2007-05-19 14:51 Trocotronic Assigned To => Trocotronic
2007-06-11 12:55 stskeeps Assigned To Trocotronic =>
2007-06-11 12:55 stskeeps Status assigned => acknowledged
2007-06-11 12:55 stskeeps View Status private => public
2007-06-11 14:43 Shining Phoenix Note Added: 0014318
2013-05-14 10:23 falconkirtaran Note Added: 0017561
2013-05-14 10:23 falconkirtaran File Added: 2303_can_tsctl.diff
2013-05-14 10:25 falconkirtaran Note Edited: 0017561 View Revisions
2013-05-14 10:28 nenolod Note Added: 0017562
2013-05-14 10:28 nenolod Status acknowledged => resolved
2013-05-14 10:28 nenolod Fixed in Version => 3.4-alpha1
2013-05-14 10:28 nenolod Resolution open => fixed
2013-05-14 10:28 nenolod Assigned To => nenolod